 25-akpm/fs/aio.c     |    2 +-
 25-akpm/mm/filemap.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN mm/filemap.c~aio-09-o_sync-f_mapping-fixes mm/filemap.c
--- 25/mm/filemap.c~aio-09-o_sync-f_mapping-fixes	Mon Oct 13 14:27:23 2003
+++ 25-akpm/mm/filemap.c	Mon Oct 13 14:27:23 2003
@@ -1991,7 +1991,7 @@ generic_file_aio_write_nolock(struct kio
 				unsigned long nr_segs, loff_t *ppos)
 {
 	struct file *file = iocb->ki_filp;
-	struct address_space * mapping = file->f_dentry->d_inode->i_mapping;
+	struct address_space *mapping = file->f_mapping;
 	struct inode *inode = mapping->host;
 	ssize_t ret;
 	loff_t pos = *ppos;
diff -puN fs/aio.c~aio-09-o_sync-f_mapping-fixes fs/aio.c
--- 25/fs/aio.c~aio-09-o_sync-f_mapping-fixes	Mon Oct 13 14:27:23 2003
+++ 25-akpm/fs/aio.c	Mon Oct 13 14:27:23 2003
@@ -1305,7 +1305,7 @@ static ssize_t aio_pread(struct kiocb *i
 static ssize_t aio_pwrite(struct kiocb *iocb)
 {
 	struct file *file = iocb->ki_filp;
-	struct address_space *mapping = file->f_dentry->d_inode->i_mapping;
+	struct address_space *mapping = file->f_mapping;
 	struct inode *inode = mapping->host;
 	ssize_t ret = 0;
 

_
